=== debian/changelog ===
ros-rolling-controller-manager (2.1.0-1focal) focal; urgency=high



 -- karsten <karsten@osrfoundation.org>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-controller-manager (2.0.0-1focal) focal; urgency=high

  * Add service-skeletons for controlling hardware lifecycle. (#585 <https://github.com/ros-controls/ros2_control/issues/585>)
  * fix get_update_rate visibility in windows (#586 <https://github.com/ros-controls/ros2_control/issues/586>)
  * Make output of not available controller nicer and make it informational. (#577 <https://github.com/ros-controls/ros2_control/issues/577>)
  * Contributors: Denis Štogl, Melvin Wang

 -- karsten <karsten@osrfoundation.org>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-controller-manager (1.2.0-1focal) focal; urgency=high



 -- karsten <karsten@osrfoundation.org>  Fri, 05 Nov 2021 00:00:00 -0000

ros-rolling-controller-manager (1.1.0-1focal) focal; urgency=high

  * feat: add colored output into spawner.py (#560 <https://github.com/ros-controls/ros2_control/issues/560>)
  * Added timeout argument for service_caller timeout (#552 <https://github.com/ros-controls/ros2_control/issues/552>)
  * controller_manager: Use command_interface_configuration for the claimed interfaces when calling list_controllers (#544 <https://github.com/ros-controls/ros2_control/issues/544>)
  * Clean up test_load_controller (#532 <https://github.com/ros-controls/ros2_control/issues/532>)
  * Contributors: Jack Center, Jafar Abdi, Michael, Nour Saeed

 -- karsten <karsten@osrfoundation.org>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-controller-manager (1.0.0-1focal) focal; urgency=high

  * Use ControllerManager node clock for control loop timepoints (#542 <https://github.com/ros-controls/ros2_control/issues/542>)
  * Per controller update rate(#513 <https://github.com/ros-controls/ros2_control/issues/513>)
  * added dt to controller interface and controller manager #438 <https://github.com/ros-controls/ros2_control/issues/438> (#520 <https://github.com/ros-controls/ros2_control/issues/520>)
  * Update nomenclature in CM for better code and output understanding (#517 <https://github.com/ros-controls/ros2_control/issues/517>)
  * Methods controlling the lifecycle of controllers all have on_ prefix
  * Controller Manager should not crash when trying to start finalized or unconfigured controller (#461 <https://github.com/ros-controls/ros2_control/issues/461>)
  * Fix deprecation warning from rclcpp::Duration (#511 <https://github.com/ros-controls/ros2_control/issues/511>)
  * Remove BOOST compiler definitions for pluginlib from CMakeLists (#514 <https://github.com/ros-controls/ros2_control/issues/514>)
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * Refactor INSTANTIATE_TEST_CASE_P -> INSTANTIATE_TEST_SUITE_P (#515 <https://github.com/ros-controls/ros2_control/issues/515>)
    Also removed the duplicated format & compiler fixes as on Galactic this shouldn't be an issue
  * rename get_current_state() to get_state() (#512 <https://github.com/ros-controls/ros2_control/issues/512>)
  * Fix spawner tests (#509 <https://github.com/ros-controls/ros2_control/issues/509>)
  * Removed deprecated CLI verbs (#420 <https://github.com/ros-controls/ros2_control/issues/420>)
  * Remove extensions from executable nodes (#453 <https://github.com/ros-controls/ros2_control/issues/453>)
  * Contributors: Bence Magyar, Denis Štogl, Dmitri Ignakov, Joseph Schornak, Márk Szitanics, Tim Clephas, bailaC, Mathias Aarbo

 -- karsten <karsten@osrfoundation.org>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-controller-manager (0.8.0-1focal) focal; urgency=high

  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Use example urdf from the test_assests package. (#495 <https://github.com/ros-controls/ros2_control/issues/495>)
  * Separate controller manager test cases (#476 <https://github.com/ros-controls/ros2_control/issues/476>)
  * Add Controller Manager docs (#467 <https://github.com/ros-controls/ros2_control/issues/467>)
  * sort interfaces in resource manager (#483 <https://github.com/ros-controls/ros2_control/issues/483>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
    * potential solution to controller_manager use_sim_time sharing issue
    * removed debug print statements
    * added INFO message to warn user that use_sim_time is being set automatically
  * Add load-only option into controller spawner (#427 <https://github.com/ros-controls/ros2_control/issues/427>)
  * Fixes for windows (#443 <https://github.com/ros-controls/ros2_control/issues/443>)
    * Fix building on windows
    * Fix MSVC linker error when building tests
    * Fix hang when loading controller on windows
    * Use better log for configuring controller
    * Be consistent with visibility control
    * Use try_lock throw exception on failure
  * Add an argument to define controller manager timeout (#444 <https://github.com/ros-controls/ros2_control/issues/444>)
  * Contributors: Akash, Bence Magyar, Darko Lukić, Denis Štogl, Karsten Knese, Simon Honigmann

 -- karsten <karsten@osrfoundation.org>  Fri, 27 Aug 2021 23:00:00 -0000

ros-rolling-controller-manager (0.7.1-1focal) focal; urgency=high

  * Use namespace in controller_manager (#435 <https://github.com/ros-controls/ros2_control/issues/435>)
  * Contributors: Jonatan Olofsson

 -- karsten <karsten@osrfoundation.org>  Mon, 14 Jun 2021 23:00:00 -0000

ros-rolling-controller-manager (0.7.0-1focal) focal; urgency=high



 -- karsten <karsten@osrfoundation.org>  Sat, 05 Jun 2021 23:00:00 -0000

ros-rolling-controller-manager (0.6.1-1focal) focal; urgency=high


