=== debian/control ===
Source: ros-rolling-controller-manager
Section: misc
Priority: optional
Maintainer: karsten <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-cmake-gtest, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-controller-interface, ros-rolling-controller-manager-msgs, ros-rolling-hardware-interface, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-ros2-control-test-assets, ros-rolling-ros2param, ros-rolling-ros2run, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-controller-interface, ros-rolling-controller-manager-msgs, ros-rolling-hardware-interface, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-ros2-control-test-assets, ros-rolling-ros2param, ros-rolling-ros2run, ros-rolling-ros-workspace
Description: Description of controller_manager
