=== debian/control ===
Source: ros-rolling-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-python, ros-rolling-ament-index-cpp, ros-rolling-backward-ros, ros-rolling-controller-interface, ros-rolling-controller-manager-msgs, ros-rolling-diagnostic-updater, ros-rolling-hardware-interface, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-ros2param, ros-rolling-ros2run, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-backward-ros, ros-rolling-controller-interface, ros-rolling-controller-manager-msgs, ros-rolling-diagnostic-updater, ros-rolling-hardware-interface, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets, ros-rolling-ros2param, ros-rolling-ros2run, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Description of controller_manager
